Bug 509562 - Anaconda hangs for about 1 minute after entering root password
Anaconda hangs for about 1 minute after entering root password
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 10:50 EDT by Andrew McNabb
Modified: 2010-01-20 11:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 11:30:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew McNabb 2009-07-03 10:50:10 EDT
After I click Next on the root password prompt screen, Anaconda hangs for about 1 minute before going on to the partitioning screen.  This has happened every time on this machine, which has a Core 2 Duo processor and G43 chipset and SATA hard drives (I'm not sure what else is relevant).  I went to virtual terminal 3 during the hang, and noticed that there was a log message saying that the system had already moved on to the partitioning step.

I have gone to the installer 4 or 5 times on this computer, and Anaconda has stalled at this point every single time but has not noticeably stalled anywhere else.

During this hang, the interface showed no sign of progress, so naturally I clicked on the Next button again to make sure that I had actually clicked it.  I think I also clicked on an arrow key to see if the cursor was responding within the password field.  As soon as Anaconda came out of the stall, it immediately proceeded with reformatting the entire drive without giving a chance to change the settings.  This resulted in data loss.  Fortunately I have good backups, but this is a dangerous installer bug.  I suppose it's actually a dangerous combination of two bugs: 1) the minute-long stall, and 2) mouse/keyboard events which were made while the previous screen was displayed are interpreted on the following screen.
Comment 1 Chris Lumens 2009-07-06 09:53:36 EDT
Is this a livecd install?
Comment 2 Andrew McNabb 2009-07-06 12:09:04 EDT
No, it's an interactive install with a kickstart script (to set the installation repo, etc.).
Comment 3 Chris Lumens 2009-07-17 16:00:09 EDT
Can you look at the output of top on tty2, see if there's tons of stuff scrolling by in /tmp/syslog, /tmp/anaconda.log, and /tmp/storage.log, etc.?  These are always hard issues to track down.
Comment 4 Andrew McNabb 2009-07-17 16:38:59 EDT
I remember going to the tty2 and not seeing any interesting error messages.  However, I have not checked the other log files, and it might be a little while before I can get to them.
Comment 5 charles harris 2009-10-23 15:23:26 EDT
I see this in the fedora 12 beta release also, the whole scenario. However, I managed to catch things before my disk was reformatted; I only clicked the button twice.

The system then proceeds to a hard hang at some random time, but that is different bug.
Comment 6 Andrew McNabb 2010-01-19 20:04:17 EST
I've now had a chance to start installing Fedora 12 on this machine.  I'm not seeing lots of messages scroll by in any of the files you asked about.  However, I'm getting the following error messages on tty1 (with a 10 to 20 second delay between the different messages):

udevadm settle - timeout of 30 seconds reached, the event quere contains:
  /sys/devices/platform/floopy.0/block/fd0 (1260)
using non dm device sde
using non dm device sda
using non dm device sdb
using non dm device fd0

The syslog has some fd0 errors, such as "end_request: I/O error, dev fd0, sector 0" and "Buffer I/O error on device fd0, logical block 0".

The anaconda.log and storage.log files don't seem to have anything unusual, except that I'm seeing 10 or 20 messages of the form "DEBUG: md0 state is clean" (some with md1, md2, or md3 instead of md0, and a few with "clear" instead of "clean").
Comment 7 Hans de Goede 2010-01-20 02:54:03 EST
Sounds to me like something is happening with your floppy, did you have a disk in the floppy drive?

Regards,

Hans
Comment 8 Andrew McNabb 2010-01-20 10:16:18 EST
I just opened the case to confirm visually--there is definitely no floppy drive connected to the motherboard.  Thanks.
Comment 9 Hans de Goede 2010-01-20 10:22:36 EST
(In reply to comment #8)
> I just opened the case to confirm visually--there is definitely no floppy drive
> connected to the motherboard.  Thanks.    

Ah,

Try saying so in the BIOS then, you know the good old first screen where you
could configure how many heads, etc. your harddisk has?

Usually you can configure what kind of floppy is connected there too, set it to
None.

Then the fd driver should no longer load (and cause issues).

Regards,

Hans
Comment 10 Andrew McNabb 2010-01-20 10:44:25 EST
I've made the change in the BIOS, but I won't know for sure whether it fixed the problem until I reinstall.  I'm surprised that the fd0 driver actually relies on the BIOS settings (most things don't trust the BIOS at all anymore).  I guess it's really old technology, so I shouldn't be too surprised. :)

Should Anaconda be using the floppy disk at all?  Is there anybody out there who wants to put, say, /home on fd0?  Even on machines that have a floppy drive, I've been surprised that Anaconda spends time accessing it.
Comment 11 Hans de Goede 2010-01-20 11:30:01 EST
(In reply to comment #10)
> I've made the change in the BIOS, but I won't know for sure whether it fixed
> the problem until I reinstall.

Ok, so their was a drive enabled in the BIOS, that explains this, so I'm closing this feel free to re-open if you encounter this again.

>  I'm surprised that the fd0 driver actually
> relies on the BIOS settings (most things don't trust the BIOS at all anymore). 
> I guess it's really old technology, so I shouldn't be too surprised. :)
> 

Heh,

Well the kernel loads drivers based on BIOS PNP ID's and guess what sort of
PNP ID the BIOS adds to its table when you say there is a floppy attached.

> Should Anaconda be using the floppy disk at all?  Is there anybody out there
> who wants to put, say, /home on fd0?  Even on machines that have a floppy
> drive, I've been surprised that Anaconda spends time accessing it.    

We don't differentiate between block devices in such detail. Where ever
possible we try to treat all block devices alike.

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.